/**  
* @Title: PayParam.java 
* @Package com.platform.ui.domain 
* @Description: TODO
* @author kiosk
* @date 2017年7月19日 上午10:28:03 
* @version V1.0
* @Copyright: Copyright (c) kiosk Co.Ltd. 2017
* ★★★★★★★★版权所有※拷贝必究 ★★★★★★★★
*/ 
package com.platform.request.prereg.xml;

import java.io.Serializable;

/** 
 * @ClassName: RequestParameterForPrereg 
 * @Description: TODO
 * @author kiosk
 * @date 2017年12月05日 上午10:28:03
 * @version V1.0 
 */

public class RequestParameterForPrereg implements Serializable{
	/** 
	* @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么) 
	*/ 
	private static final long serialVersionUID = 1702766670286486572L;
	
	/**
	 * 公共入参部分：接口接入授权码
	 */
	private String licenseKey;//授权码，分配给第三方的授权码，用于签名验证
	private String timeStamp;//时间戳，验证请求的时间有效性
	private String sign;//签名信息，验证客户端和服务器端签名是否一致，防止伪造请求
	private String vendorCode;//接入厂商编码
	private String vendorName;//接入厂商名称
	private String startDate;//开始日期
	private String endDate;//结束日期
	private String timeInteval;//时间段：AM-上午 PM-下午
	
	
	/**
	 * 排班科室查询接口入参
	 */
	private String sectionType;//001-外科 002-内科 003-其他
	
	/**
	 * 排班医生查询接口入参
	 */
	private String sectionNo;//科室代码
	
	/**
	 * 可预约号源列表查询接口入参
	 */
	private String doctorNo;//医生代码
	
	/**
	 * 根据ID预约接口入参
	 */
	private String cardNo;//患者就诊卡号
	private String idNo;//患者身份证号
	private String orderName;//预约人姓名
	private String phoneNo;//患者电话
	private String orderDate;//预约日期：格式yyyy-MM-dd
	private String orderType;//预约类型：1-初诊 2-复诊
	private String schedulesNo;//挂号类型编码：根据医院具体代码确定
	private String schedulesName;//挂号类型名称：专家，普通。。。
	private String sortNo;//号源序号
	private String orderSource;//预约来源：1-院内自助机 2-微信公众号
	private String planId;//号表主键
	private String sectionName;//科室名称
	private String doctorName;//医生姓名
	private String orderTime;//预约时间：格式hh24:mm:ss
	private String startTime;//开始服务时间
	private String endTime;//结束服务时间
	private String regTime;//挂号时间


	/**
	 * 查询预约记录list入参
	 */
	private String visitDate;//预约日期

	public String getVisitDate() {
		return visitDate;
	}

	public void setVisitDate(String visitDate) {
		this.visitDate = visitDate;
	}

	/**
	 * @return the cardNo
	 */
	public String getCardNo() {
		return cardNo;
	}

	/**
	 * @param cardNo the cardNo to set
	 */
	public void setCardNo(String cardNo) {
		this.cardNo = cardNo;
	}

	/**
	 * @return the idNo
	 */
	public String getIdNo() {
		return idNo;
	}

	/**
	 * @param idNo the idNo to set
	 */
	public void setIdNo(String idNo) {
		this.idNo = idNo;
	}


	/**
	 * @return the phoneNo
	 */
	public String getPhoneNo() {
		return phoneNo;
	}

	/**
	 * @param phoneNo the phoneNo to set
	 */
	public void setPhoneNo(String phoneNo) {
		this.phoneNo = phoneNo;
	}

	/**
	 * @return the orderDate
	 */
	public String getOrderDate() {
		return orderDate;
	}

	/**
	 * @param orderDate the orderDate to set
	 */
	public void setOrderDate(String orderDate) {
		this.orderDate = orderDate;
	}

	/**
	 * @return the orderType
	 */
	public String getOrderType() {
		return orderType;
	}

	/**
	 * @param orderType the orderType to set
	 */
	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	/**
	 * @return the schedulesNo
	 */
	public String getSchedulesNo() {
		return schedulesNo;
	}

	/**
	 * @param schedulesNo the schedulesNo to set
	 */
	public void setSchedulesNo(String schedulesNo) {
		this.schedulesNo = schedulesNo;
	}

	/**
	 * @return the schedulesName
	 */
	public String getSchedulesName() {
		return schedulesName;
	}

	/**
	 * @param schedulesName the schedulesName to set
	 */
	public void setSchedulesName(String schedulesName) {
		this.schedulesName = schedulesName;
	}

	/**
	 * @return the sortNo
	 */
	public String getSortNo() {
		return sortNo;
	}

	/**
	 * @param sortNo the sortNo to set
	 */
	public void setSortNo(String sortNo) {
		this.sortNo = sortNo;
	}

	/**
	 * @return the orderSource
	 */
	public String getOrderSource() {
		return orderSource;
	}

	/**
	 * @param orderSource the orderSource to set
	 */
	public void setOrderSource(String orderSource) {
		this.orderSource = orderSource;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the licenseKey
	 */
	public String getLicenseKey() {
		return licenseKey;
	}

	/**
	 * @param licenseKey the licenseKey to set
	 */
	public void setLicenseKey(String licenseKey) {
		this.licenseKey = licenseKey;
	}

	/**
	 * @return the sectionType
	 */
	public String getSectionType() {
		return sectionType;
	}

	/**
	 * @param sectionType the sectionType to set
	 */
	public void setSectionType(String sectionType) {
		this.sectionType = sectionType;
	}

	/**
	 * @return the timeStamp
	 */
	public String getTimeStamp() {
		return timeStamp;
	}

	/**
	 * @param timeStamp the timeStamp to set
	 */
	public void setTimeStamp(String timeStamp) {
		this.timeStamp = timeStamp;
	}

	/**
	 * @return the sign
	 */
	public String getSign() {
		return sign;
	}

	/**
	 * @param sign the sign to set
	 */
	public void setSign(String sign) {
		this.sign = sign;
	}

	/**
	 * @return the vendorCode
	 */
	public String getVendorCode() {
		return vendorCode;
	}

	/**
	 * @param vendorCode the vendorCode to set
	 */
	public void setVendorCode(String vendorCode) {
		this.vendorCode = vendorCode;
	}

	/**
	 * @return the vendorName
	 */
	public String getVendorName() {
		return vendorName;
	}

	/**
	 * @param vendorName the vendorName to set
	 */
	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	/**
	 * @return the startDate
	 */
	public String getStartDate() {
		return startDate;
	}

	/**
	 * @param startDate the startDate to set
	 */
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	/**
	 * @return the endDate
	 */
	public String getEndDate() {
		return endDate;
	}

	/**
	 * @param endDate the endDate to set
	 */
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}



	/**
	 * @return the timeInteval
	 */
	public String getTimeInteval() {
		return timeInteval;
	}

	/**
	 * @param timeInteval the timeInteval to set
	 */
	public void setTimeInteval(String timeInteval) {
		this.timeInteval = timeInteval;
	}

	/**
	 * @return the sectionNo
	 */
	public String getSectionNo() {
		return sectionNo;
	}

	/**
	 * @param sectionNo the sectionNo to set
	 */
	public void setSectionNo(String sectionNo) {
		this.sectionNo = sectionNo;
	}

	/**
	 * @return the doctorNo
	 */
	public String getDoctorNo() {
		return doctorNo;
	}

	/**
	 * @param doctorNo the doctorNo to set
	 */
	public void setDoctorNo(String doctorNo) {
		this.doctorNo = doctorNo;
	}

	/**
	 * @return the orderName
	 */
	public String getOrderName() {
		return orderName;
	}

	/**
	 * @param orderName the orderName to set
	 */
	public void setOrderName(String orderName) {
		this.orderName = orderName;
	}

	/**
	 * @return the sectionName
	 */
	public String getSectionName() {
		return sectionName;
	}

	/**
	 * @param sectionName the sectionName to set
	 */
	public void setSectionName(String sectionName) {
		this.sectionName = sectionName;
	}

	/**
	 * @return the doctorName
	 */
	public String getDoctorName() {
		return doctorName;
	}

	/**
	 * @param doctorName the doctorName to set
	 */
	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	/**
	 * @return the orderTime
	 */
	public String getOrderTime() {
		return orderTime;
	}

	/**
	 * @param orderTime the orderTime to set
	 */
	public void setOrderTime(String orderTime) {
		this.orderTime = orderTime;
	}

	/**
	 * @return the startTime
	 */
	public String getStartTime() {
		return startTime;
	}

	/**
	 * @param startTime the startTime to set
	 */
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	/**
	 * @return the endTime
	 */
	public String getEndTime() {
		return endTime;
	}

	/**
	 * @param endTime the endTime to set
	 */
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	/**
	 * @return the regTime
	 */
	public String getRegTime() {
		return regTime;
	}

	/**
	 * @param regTime the regTime to set
	 */
	public void setRegTime(String regTime) {
		this.regTime = regTime;
	}
	
	
}
